import java.awt.*;
import java.applet.*;
import java.io.*;
import quadbase.util.*;
import quadbase.ChartAPI.*;

public class PolarChart extends Applet {
	static final long serialVersionUID = 1;

public static void main(java.lang.String[] args) {

try {

PolarChart doChart = new PolarChart();
Frame frame = new Frame();
frame.setLayout(new BorderLayout());
frame.add("Center", doChart.doDataFromArguments(null));
frame.setSize(500, 500);
frame.setVisible(true);

} catch (Exception ex) {

ex.printStackTrace();

}

}

public void init() {

setLayout(new BorderLayout());
add("Center", doDataFromArguments(this));
}

Component doDataFromArguments(Applet applet) {

      // Do not connect to EspressManager
      QbChart.setEspressManagerUsed(false);

      // Column Mapping
      ColInfo colInfo = new ColInfo(2, new int[]{0, 1});

      String dataType[] = {"integer", "integer", "varchar"};
      String fieldName[] = {"Radius", "Angle", "Series"};
      String records[][] = {{"0", "2", "A"}, {"90", "4", "A"}, {"180", "6", "A"},
                            {"270", "8", "A"}, {"360", "10", "A"}, {"45", "3", "B"},
			    {"135", "5", "B"}, {"225", "7", "B"}, {"315", "9", "B"}};
 
      DbData data = new DbData(dataType, fieldName, records);
      QbChart chart = new QbChart(applet,                             // Applet
                                  QbChart.VIEW2D,                     // Two-Dimensional
                                  QbChart.POLAR,        	      // Polar Chart
                                  data,                 	      // Data
                                  colInfo,                            // Column information
                                  null);                              // No specified template 


return chart; }
}